<template>
  <div class="container-register">
    <div class="logo-container">
      <img src="https://img.freepik.com/premium-vector/javanese-hat-symbol-blangkon_757387-2379.jpg" class="logo-register" alt="Logo">
      <div class="text-wrapper">
        <h1><b><span class="cinema">CINEMA</span><span class="scope"> SCOPE</span></b></h1>
      </div>
    </div>

    <div class="card-register">
      <h2>Register</h2>
      <form @submit.prevent="register">
        <div class="form-group">
          <label for="name">Name:</label>
          <input id="name" v-model="name" type="text" required class="input" />
        </div>
        <div class="form-group">
          <label for="email">Email:</label>
          <input id="email" v-model="email" type="email" required class="input" />
        </div>
        <div class="form-group">
          <label for="password">Password:</label>
          <input id="password" v-model="password" type="password" required class="input" />
        </div>
        <div class="form-group">
          <label for="confirmPassword">Confirm Password:</label>
          <input id="confirmPassword" v-model="confirmPassword" type="password" required class="input" />
        </div>
        <button type="submit" class="button">Register</button>
      </form>
    </div>
  </div>
</template>


<script>
import axios from 'axios';

export default {
  name: 'RegisterNavbar',
  data() {
    return {
      name: '',
      email: '',
      password: '',
      confirmPassword: ''
    };
  },
  methods: {
    async register() {
      try {
        const response = await axios.post('http://localhost:8000/api/auth/register', {
          name: this.name,
          email: this.email,
          password: this.password,
          password_confirmation: this.confirmPassword
        });
        console.log('User registered:', response);
        this.$router.push('/login');
      } catch (error) {
        console.error(error);
      }
    }
  }
};
</script>

<style>
body {
  background: #030814;
  margin: 0;
  font-family: Arial, sans-serif;
}

.container-register {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  color: white;
  padding: 20px;
}

.logo-container {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
}

.logo-register {
  height: 100px;
  margin-right: 20px;
  border-radius: 100%;
}

.text-wrapper {
  text-align: center;
}

.cinema {
  color: white;
}

.scope {
  color: yellow;
}

.card-register {
  background-color: #202938;
  padding: 20px;
  border-radius: 10px;
  width: 100%;
  max-width: 400px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  display: flex;
  flex-direction: column;
  align-items: center;
}

h2 {
  margin-top: 0;
  text-align: center;
}

.form-group {
  margin-bottom: 15px;
  width: 100%;
}

label {
  display: block;
  margin-bottom: 5px;
}

.input {
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 5px;
  box-sizing: border-box;
}

.button {
  width: 100%;
  padding: 10px;
  background-color: yellow;
  border: none;
  border-radius: 5px;
  color: #030814;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s;
}

.button:hover {
  background-color: #111828;
}
</style>
